import { TPropertyObject } from 'tscommons-core';
import { ICommonsCredentials } from 'nodecommons-database';
import { CommonsSqlDatabaseService } from 'nodecommons-database';
export declare class CommonsMysqlService extends CommonsSqlDatabaseService {
    private pool;
    private poolSize;
    private queueLimit;
    static toUrl(credentials: ICommonsCredentials): string;
    private database?;
    constructor(credentials: ICommonsCredentials, pool?: boolean, poolSize?: number, queueLimit?: number);
    connect(): Promise<void>;
    doesTableExist(name: string): Promise<boolean>;
    internalSelect(sql: string, params?: TPropertyObject): Promise<TPropertyObject[]>;
    internalNone(sql: string, params?: TPropertyObject): Promise<void>;
    protected internalTransactionBegin(): Promise<void>;
    protected internalTransactionCommit(): Promise<void>;
    protected internalTransactionRollback(): Promise<void>;
}
